namespace FSI.BT.IR.Organization.Db.Services
{
    public interface IOrganizationService
    {
        Task<Models.Organization> GetDataByIdAsync(int id);

        Task<List<Models.Organization>> GetDatasAsync();

        Task<Models.Organization> SetFullShortName(Models.Organization organization);

        Task AddAsync(Models.Organization organization);

        Task UpdateAsync(Models.Organization organization);

        Task RemoveAsync(Models.Organization organization);

        Task SetParentIdNullAsync (int id);
    }
}
